*
      PROGRAM TCZ_HEGVZ
*
*          PZHEGV2(GV4,GV6)
*
      include 'mpif.h'
*
*  
      INTEGER            N, NPROW, NPCOL, NB, MEMSIZE, IL, IU, IBTYPE
      DOUBLE PRECISION   VL, VU, ABSTOL, ORFAC
      PARAMETER          ( N=5, NB=2, MEMSIZE=5710)
**      PARAMETER          ( N=50, NB=16, MEMSIZE=1886)
*
      DOUBLE COMPLEX     AMEM( MEMSIZE )
      CHARACTER*(*)      NAME, UPLO
      CHARACTER          INFILEA*(*), INFILEB*(*), OUTFILE*(*)
*      PARAMETER          ( INFILEA = 'hegv_50.dat',
      PARAMETER          ( INFILEA = 'hegvA_5.dat',
     $                     INFILEB = 'hegvB_5.dat',
     $                     OUTFILE = 'hegvZ_5.res')
*      PARAMETER          ( INFILEA = 'hegv_50.dat',
*
      PARAMETER          ( UPLO = 'U',
**     $                     NAME = 'PZHEGV2')
**     $                     NAME = 'PZHEGV4')
     $                     NAME = 'PZHEGV6')
*
       EXTERNAL CAZ_HEGVZ
*
*  
*
      NPROW = 2
      NPCOL = 2
*
      VL = 0.D0
      VU = 0.D0
      IL = 0
      IU = 0
*
      IF( NAME .NE. 'PZHEGV4' ) GOTO 1
      VL = 0.0D0
      VU = 1.0D0
*
*     VL = 0.5D0
*     VU = 1.5D0
    1 IF( NAME .NE. 'PZHEGV6' ) GOTO 2
      IL = 2
      IU = 5
**  2    ABSTOL = 2.0D0* PDLAMCH(CTXT,'U')
    2 ABSTOL = 10.0D-10
      ORFAC = 0.0D0
      IBTYPE = 1
*
      CALL CAZ_HEGVZ( IBTYPE, NAME, UPLO, N, NPROW, NPCOL, AMEM,
     $                MEMSIZE, NB, VL, VU, IL, IU, ABSTOL, ORFAC,
     $                INFILEA, INFILEB, OUTFILE)
*
      STOP
      END
